Skip to main content
PUT
/
inventory
/
{medicine}
Update stock of medicine
curl --request PUT \
  --url https://virtserver.swaggerhub.com/SUBIN23K/Subin_Health/1.0.0/inventory/{medicine} \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "medicine": "Dolo 650",
  "isAvailable": true,
  "dosage": "650 mg",
  "isRegular": true,
  "price": 1000,
  "currency": "INR"
}
'

Authorizations

api_key
string
header
required

Path Parameters

medicine
string
required

Medicine's name

Example:

"Dolo 650"

Body

Object that contains inventory data

Availability and pricing details of a specific medicine in stock.

medicine
string
required

Name of the stocked medicine.

Example:

"Dolo 650"

isAvailable
boolean
required

Indicates whether the medicine is currently in stock.

dosage
string

Dosage formulation of the medicine.

Example:

"650 mg"

isRegular
boolean

Indicates whether the medicine is available for regular recurring subscriptions.

price
integer

Unit price of the medicine in inventory.

Example:

1000

currency
string

Currency code for the medicine's price.

Example:

"INR"

Response

Successful operation